Steroids won't connect and deprecated warning


#1

HI i’m very new to appGyver and programming in general so bear with me, i’m clueless
I just recently installed git, npm , nodejs and steroids using npm following the instructions (for linux) step by step.

Trying to create a project i got this
`

p { margin-bottom: 0.1in; line-height: 120%; }

Checking for
Steroids updates and installing project NPM dependencies. Please
wait.

Installing npm
dependencies

===========================

Running npm install
to install project npm dependencies…

If this fails, try
running the command manually.

npm

WARN deprecated

wrench@1.5.4:
wrench.js is deprecated! You should check out fs-extra
(https://github.com/jprichardson/node-fs-extra) for any operations
you were using wrench for. Thanks for all the usage over the years.

npm

WARN deprecated
lodash@2.4.1: lodash@<3.0.0 is no longer maintained. Upgrade to
lodash@^4.0.0.

npm

WARN deprecated
lodash-node@2.4.1: This package has been discontinued in favor of
lodash@^4.0.0.

myProject@0.0.0
/home/tesnime/myProject

├── UNMET PEER
DEPENDENCY grunt@0.4.5

├── UNMET PEER
DEPENDENCY grunt-contrib-clean@0.6.0

├── UNMET PEER
DEPENDENCY grunt-contrib-coffee@0.12.0

├── UNMET PEER
DEPENDENCY grunt-contrib-concat@0.5.0

├── UNMET PEER
DEPENDENCY grunt-contrib-copy@0.7.0

├── UNMET PEER
DEPENDENCY grunt-contrib-sass@0.8.1

├── UNMET PEER
DEPENDENCY grunt-extend-config@0.9.2

└─┬
grunt-steroids@1.2.0

├─┬
ag-resource-loader-raml@1.0.6

│ ├─┬
ag-restful@0.1.4

│ │ ├──
assert-plus@0.1.5

│ │ ├──
data.validation@1.3.0

│ │ └─┬
superagent@0.20.0

│ │ ├──
component-emitter@1.1.2

│ │ ├──
cookiejar@2.0.1

│ │ ├─┬
debug@2.0.0

│ │ │ └──
ms@0.6.2

│ │ ├──
extend@1.2.1

│ │ ├─┬
form-data@0.1.3

│ │ │ ├──
async@0.9.2

│ │ │ └─┬
combined-stream@0.0.7

│ │ │
└── delayed-stream@0.0.5

│ │ ├──
formidable@1.0.14

│ │ ├──
methods@1.0.1

│ │ ├──
mime@1.2.11

│ │ ├──
qs@1.2.0

│ │ ├─┬
readable-stream@1.0.27-1

│ │ │ ├──
core-util-is@1.0.2

│ │ │ ├──
inherits@2.0.1

│ │ │ ├──
isarray@0.0.1

│ │ │ └──
string_decoder@0.10.31

│ │ └──
reduce-component@1.0.1

│ ├──
ag-types@0.2.6

│ ├──
bluebird@2.3.11

│ ├──
lodash-node@2.4.1

│ └─┬
raml-parser@0.8.7

│ ├──
inflection@1.3.8

│ ├──
json-lint@0.1.0

│ ├──
q@0.9.7

│ ├──
uritemplate@0.3.4

│ └──
xmlhttprequest@1.6.0

├─┬
chalk@0.3.0

│ ├──
ansi-styles@0.2.0

│ └──
has-color@0.1.7

├──
lodash@2.4.1

├──
wrench@1.5.4

└─┬
xml2js@0.4.4

├──

sax@0.6.1

└──

xmlbuilder@8.2.2

npm

WARN

grunt-steroids@1.2.0 requires a peer of grunt@0.4.5 but none was
installed.

npm WARN
grunt-steroids@1.2.0 requires a peer of grunt-contrib-copy@0.7.0 but
none was installed.

npm WARN
grunt-steroids@1.2.0 requires a peer of grunt-contrib-clean@0.6.0 but
none was installed.

npm WARN
grunt-steroids@1.2.0 requires a peer of grunt-contrib-concat@0.5.0
but none was installed.

npm WARN

grunt-steroids@1.2.0 requires a peer of grunt-contrib-coffee@0.12.0
but none was installed.

npm WARN
grunt-steroids@1.2.0 requires a peer of grunt-contrib-sass@0.8.1 but
none was installed.

npm WARN
grunt-steroids@1.2.0 requires a peer of grunt-extend-config@0.9.2 but
none was installed.

Updating Bower
dependencies

===========================

Running bower update
to update project Bower packages…

If this fails, try
running the command manually.

bower angular#1.3.x
not-cached https://github.com/angular/bower-angular.git#1.3.x

bower angular#1.3.x
resolve https://github.com/angular/bower-angular.git#1.3.x

bower supersonic#1.x
not-cached

bower supersonic#1.x
resolve

bower angular#1.3.x
checkout v1.3.20

bower supersonic#1.x
checkout v1.13.1

bower supersonic#1.x
resolved

bower
webcomponentsjs#0.7.12 not-cached

bower
webcomponentsjs#0.7.12 resolve

bower
steroids-js#^3.5.15 not-cached

bower
steroids-js#^3.5.15 resolve

bower
steroids-js#^3.5.15 checkout v3.5.19

bower
webcomponentsjs#0.7.12 checkout v0.7.12

bower
steroids-js#^3.5.15 deprecated Package steroids-js is using
the deprecated component.json

bower
steroids-js#^3.5.15 invalid-meta steroids-js is missing
"ignore" entry in bower.json

bower
steroids-js#^3.5.15 resolved

bower angular#1.3.x
resolved

bower
webcomponentsjs#0.7.12 resolved

bower supersonic#1.x
install supersonic#1.13.1

bower
steroids-js#^3.5.15 install steroids-js#3.5.19

bower angular#1.3.x
install angular#1.3.20

bower
webcomponentsjs#0.7.12 install webcomponentsjs#0.7.12

supersonic#1.13.1
bower_components/supersonic

├──
steroids-js#3.5.19

└──
webcomponentsjs#0.7.12

steroids-js#3.5.19
bower_components/steroids-js

angular#1.3.20
bower_components/angular

webcomponentsjs#0.7.12
bower_components/webcomponentsjs

Succesfully created
a new Steroids project!

`

I kept repeatedly getting the deprecated warning at most lines

and now as i try to connect i get this

Local Npm module “grunt-contrib-sass” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?

Running “steroids-make-fresh” task

Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-clean” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-coffee” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-sass” not found. Is it installed?
Loading “steroids-module-compile-default-native-styles.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-coffee” not found. Is it installed?
Loading “steroids-module-compile-coffeescript.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-concat” not found. Is it installed?
Loading “steroids-module-concat-javascript.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-copy” not found. Is it installed?
Loading “steroids-module-copy-javascript.coffee” tasks…ERROR

TypeError: undefined is not a function
Loading “steroids-module-compile-scripts.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-extend-config” not found. Is it installed?
Loading “steroids-module-compile-views.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-extend-config” not found. Is it installed?
Loading “steroids-module-copy-assets.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-copy” not found. Is it installed?
Loading “steroids-module-copy-default-native-styles.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-contrib-copy” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-copy” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-contrib-copy” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?
Local Npm module “grunt-extend-config” not found. Is it installed?
Loading “steroids-setup-cloud-resources.coffee” tasks…ERROR

TypeError: undefined is not a function
Local Npm module “grunt-extend-config” not found. Is it installed?
Loading “steroids-setup-features.coffee” tasks…ERROR

TypeError: undefined is not a function

Running “steroids-check-project” task
Warning: undefined is not a function Use --force to continue.

Aborted due to warnings.


#2

Hi,

Are you sure you followed the install instructions ? Your install may be missing some dependencies.


#3

I get very similar problems with missing grunt-xxx packages but I am on Windows 10.
I have followed the instructions for steroids installation to the letter.

If you want more into then please shout but I am watching this thread for replies :slight_smile:


#4

smae problem on a fresh windows 10 installation…


#5

I am also new to steroids. Installation went through well. Created a project and when I issued the command “steroids connect” I get this:

Done, without errors.
18 Apr 11:15:26 - The server has now been started on port 4567

Fatal error in …/deps/v8/src/api.cc, line 1062

Check failed: !value_obj->IsJSReceiver() || value_obj->IsTemplateInfo().

==== C stack trace ===============================

0   node                                0x0000000100bfad23 v8::base::debug::StackTrace::StackTrace() + 19
1   node                                0x0000000100bf7ea9 V8_Fatal + 233
2   node                                0x000000010014730a v8::Template::Set(v8::Local<v8::Name>, v8::Local<v8::Data>, v8::PropertyAttribute) + 330
3   fse.node                            0x00000001022d4b9d fse::FSEvents::Initialize(v8::Local<v8::Object>) + 197
4   node                                0x00000001009f5380 node::DLOpen(v8::FunctionCallbackInfo<v8::Value> const&) + 859
5   node                                0x00000001001797d1 v8::internal::FunctionCallbackArguments::Call(void (*)(v8::FunctionCallbackInfo<v8::Value> const&)) + 369
6   node                                0x00000001001e75ac v8::internal::MaybeHandle<v8::internal::Object> v8::internal::(anonymous namespace)::HandleApiCallHelper<false>(v8::internal::Isolate*, v8::internal::Handle<v8::internal::HeapObject>, v8::internal::Handle<v8::internal::HeapObject>, v8::internal::Handle<v8::internal::FunctionTemplateInfo>, v8::internal::Handle<v8::internal::Object>, v8::internal::BuiltinArguments) + 924
7   node                                0x00000001001e6a09 v8::internal::Builtin_Impl_HandleApiCall(v8::internal::BuiltinArguments, v8::internal::Isolate*) + 281
8   ???                                 0x000033283ea843a7 0x0 + 56247942923175

Illegal instruction: 4


Can anyone please help. It’ll be most appreciated. Many Thanks